
Redmine - Defect #15677

Links for relations in notifications do not include hostname

2013-12-11 07:54 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 2.4.2   

Resolution: Fixed Affected version: 2.4.1

Description

I added a relation to another ticket to an issue and the notification mail was sent out to users assigned to the task / watching the task.

Inside the mail there is a link to the ticket that tells me that a new relation was added to the issue.

the url is not fully qualified, it is relative /issues/123 should be http://(....)/issues/123

This causes that a click at the link does not open the issue inside the browser because the url is incorrect.

Related issues:

Related to Redmine - Feature #1005: Add the addition/removal/change of relate... Closed 2008-04-07

Associated revisions

Revision 12415 - 2013-12-15 11:32 - Jean-Philippe Lang

Fixed that links for relations in notifications do not include hostname (#15677).

Revision 12432 - 2013-12-21 12:24 - Jean-Philippe Lang

Merged r12415 (#15677).

History

#1 - 2013-12-11 08:27 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Florian S. wrote:

I added a relation to another ticket to an issue and the notification mail was sent out to users assigned to the task / watching the task.

 Redmine core does not have such feature.

#2 - 2013-12-11 08:29 - Anonymous

- File not-fqurl.png added

Toshi MARUYAMA wrote:

Florian S. wrote:

I added a relation to another ticket to an issue and the notification mail was sent out to users assigned to the task / watching the task.

 Redmine core does not have such feature.

 I have no plugin installed for this - so redmine HAS this feature ;-)

I pointed at the dropdown that allows to create relations to other tickets (blocked by, ....) adding such a relation sends out a email notification.
#3 - 2013-12-11 08:32 - Anonymous

This is the feature that also causes this email notification: #1005
http://(....)/issues/123
https://www.redmine.org/issues/1005


#4 - 2013-12-11 08:34 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#5 - 2013-12-11 08:48 - Toshi MARUYAMA

- Status changed from New to Confirmed

- Target version set to 2.4.2

#6 - 2013-12-11 09:10 - Toshi MARUYAMA

- Related to Feature #1005: Add the addition/removal/change of related issues to the history added

#7 - 2013-12-15 11:32 - Jean-Philippe Lang

- Subject changed from link in notification email broken to Links for relations in notifications do not include hostname

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r12415.

#8 - 2013-12-21 12:24 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
